## r-cran-ggstats 0.5.1

=== DESCRIPTION ===
Package: ggstats
Type: Package
Title: Extension to 'ggplot2' for Plotting Stats
Version: 0.5.1
Authors@R: c(
    person("Joseph", "Larmarange", , "joseph@larmarange.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-7097-700X"))
  )
Description: Provides new statistics, new geometries and new positions for 
    'ggplot2' and a suite of functions to facilitate the creation of 
    statistical plots.
License: GPL (>= 3)
URL: https://larmarange.github.io/ggstats/,
        https://github.com/larmarange/ggstats
BugReports: https://github.com/larmarange/ggstats/issues
Imports: broom.helpers (>= 1.14.0), cli, dplyr, forcats, ggplot2 (>=
        3.4.0), lifecycle, magrittr, patchwork, purrr, rlang, scales,
        stats, stringr, tidyr
Suggests: betareg, broom, emmeans, glue, knitr, labelled (>= 2.11.0),
        reshape, rmarkdown, nnet, parameters, pscl, testthat (>=
        3.0.0), spelling, survey, survival, vdiffr
Encoding: UTF-8
RoxygenNote: 7.2.3
Config/testthat/edition: 3
Language: en-US
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2023-11-21 07:02:14 UTC; josep
Author: Joseph Larmarange [aut, cre] (<https://orcid.org/0000-0001-7097-700X>)
Maintainer: Joseph Larmarange <joseph@larmarange.net>
Repository: CRAN
Date/Publication: 2023-11-21 08:10:02 UTC

=== debian/changelog ===
r-cran-ggstats (0.5.1-2) unstable; urgency=medium

  * Source-only upload
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 08:48:10 +0100

r-cran-ggstats (0.5.1-1) unstable; urgency=medium

  * Initial release (closes: #1056648)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Nov 2023 14:48:53 +0100

=== debian/control ===
Source: r-cran-ggstats
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-broom.helpers,
               r-cran-cli,
               r-cran-dplyr,
               r-cran-forcats,
               r-cran-ggplot2 (>= 3.4.0),
               r-cran-lifecycle,
               r-cran-magrittr,
               r-cran-patchwork,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-scales,
               r-cran-stringr,
               r-cran-tidyr
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggstats
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggstats.git
Homepage: https://cran.r-project.org/package=ggstats
Rules-Requires-Root: no

Package: r-cran-ggstats
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R extension to 'ggplot2' for plotting stats
 Provides new statistics, new geometries and new positions for
 'ggplot2' and a suite of functions to facilitate the creation of
 statistical plots.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-broom,
        r-cran-emmeans,
        r-cran-glue,
        r-cran-knitr,
        r-cran-labelled (>= 2.11.0),
        r-cran-reshape,
        r-cran-rmarkdown,
        r-cran-nnet,
        r-cran-parameters,
        r-cran-pscl,
        r-cran-testthat (>= 3.0.0),
        r-cran-spelling,
        r-cran-survey,
        r-cran-survival,
        r-cran-vdiffr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ggstats_([-\d.]*)\.tar\.gz

## r-cran-ggstats 0.7.0

=== DESCRIPTION ===
Package: ggstats
Type: Package
Title: Extension to 'ggplot2' for Plotting Stats
Version: 0.7.0
Authors@R: c(
    person("Joseph", "Larmarange", , "joseph@larmarange.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-7097-700X"))
  )
Description: Provides new statistics, new geometries and new positions for 
    'ggplot2' and a suite of functions to facilitate the creation of 
    statistical plots.
License: GPL (>= 3)
URL: https://larmarange.github.io/ggstats/,
        https://github.com/larmarange/ggstats
BugReports: https://github.com/larmarange/ggstats/issues
Depends: R (>= 4.2)
Imports: cli, dplyr, forcats, ggplot2 (>= 3.4.0), lifecycle, patchwork,
        purrr, rlang, scales, stats, stringr, tidyr
Suggests: betareg, broom, broom.helpers (>= 1.17.0), emmeans, glue,
        gtsummary, knitr, labelled (>= 2.11.0), reshape, rmarkdown,
        nnet, parameters, pscl, testthat (>= 3.0.0), spelling, survey,
        survival, vdiffr
Encoding: UTF-8
RoxygenNote: 7.3.2
Config/testthat/edition: 3
Language: en-US
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2024-09-22 16:04:33 UTC; josep
Author: Joseph Larmarange [aut, cre] (<https://orcid.org/0000-0001-7097-700X>)
Maintainer: Joseph Larmarange <joseph@larmarange.net>
Repository: CRAN
Date/Publication: 2024-09-22 16:40:02 UTC

=== debian/changelog ===
r-cran-ggstats (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * d/tests/control: downgrade dependency on r-cran-bloom.helpers.
    Closes: #1087241

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Jan 2025 19:39:11 +0100

r-cran-ggstats (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 14:23:29 +0900

=== debian/control ===
Source: r-cran-ggstats
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggstats
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggstats.git
Homepage: https://cran.r-project.org/package=ggstats
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-dplyr,
               r-cran-forcats,
               r-cran-ggplot2 (>= 3.4.0),
               r-cran-lifecycle,
               r-cran-patchwork,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-scales,
               r-cran-stringr,
               r-cran-tidyr
Testsuite: autopkgtest-pkg-r

Package: r-cran-ggstats
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R extension to 'ggplot2' for plotting stats
 Provides new statistics, new geometries and new positions for
 'ggplot2' and a suite of functions to facilitate the creation of
 statistical plots.

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: run-unit-test
 Depends: @,
          r-cran-broom,
+        r-cran-broom.helpers,
         r-cran-emmeans,
         r-cran-glue,
         r-cran-knitr,

## r-cran-ggstats 0.12.0

=== debian/changelog ===
r-cran-ggstats (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 08:46:28 +0900

=== debian/control ===
Source: r-cran-ggstats
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-dplyr,
               r-cran-forcats,
               r-cran-ggplot2 (>= 4.0.0),
               r-cran-lifecycle,
               r-cran-patchwork,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-scales,
               r-cran-stringr,
               r-cran-tidyr,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggstats
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggstats.git
Homepage: https://cran.r-project.org/package=ggstats
Rules-Requires-Root: no

Package: r-cran-ggstats
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R extension to 'ggplot2' for plotting stats
 Provides new statistics, new geometries and new positions for
 'ggplot2' and a suite of functions to facilitate the creation of
 statistical plots.

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Tests: run-unit-test
 Depends: @,
          r-cran-broom,
-        r-cran-broom.helpers,
+        r-cran-broom.helpers (>= 1.20.0),
         r-cran-emmeans,
         r-cran-glue,
         r-cran-knitr,
